<?php
/*
Plugin Name: TimerToPage
Plugin URI: http://www.morazain.com/gmTimerToPage
Tags: javascript timer transfers to page
Description: Displays countdown timer which trasfer to page where 0 is reached. usage [TimerToPage seconds={number of seconds before transfer | default 20}: to={description of destination | default ''}  page={url to transefer to | required}" display={name of div displaying countdown|default gmCountdown} counter{ javascript counter variable name | default gmCounter}]
author: guy morazain
Author URI: http://www.morazain.com
*/

function gmTimerToPage_func( $atts ) {

    extract( shortcode_atts( array
            (
                'seconds' => '',
                'to' => '',
                'page' => '',
                'now' => '1',
                'css' => '',
                'display' => 'gmDisplay',
                'counter' => 'gmCounter'
       
            ), $atts ) );
    return gmTimerToPage( $seconds, $page,$to,$now,$css,$display,$counter );
}
function gmTimerToPage( 
    $seconds=20, 
    $page,
    $to,
    $now=1,
    $css="display:inline-block;color:red;font-weigth:bold;font-size:large;height:100px;width:40%;vertical-align:middle;padding:20px;background-color:white;border:3px solid red;",
    $display='gmDisplay',
    $counter='gmCounter') {
      $err='';
    if ( $page=='' )
        $err+= "Please specify page parameter!";
    $ok =( is_int( $value ) || ctype_digit( $value )  && (int)$value > 0 );
    if ( !$ok )
        $err+= "Parameter seconds must be a positive integer!<br>";
    if ( $err>'' )
        return "<font color:red>$err</font>";
    if($now==1)
        $now="Click <a href=\"$page\">Here</a> to transfer Now!</div>";
    else
        $now='';
    $buf=<<<EOD

    <div style="$css">Transfering $to in  <div id="$display">$seconds</div> Seconds!<br>
    $now
<SCRIPT TYPE="text/javascript">
var $counter=$seconds;
function gmTimer() {
   
        document.getElementById('$display').innerHTML = $counter;

        if (--$counter <= 0) {
            location.href="$page";
        } else
            setTimeout(gmTimer, 1000)

}

    
    gmTimer();
</SCRIPT>
EOD;
    return $buf;
}
add_shortcode( 'TimerToPage', 'gmTimerToPage_func' );
